gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ScrolledWindowAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ScrolledWindowAccessible = ScrolledWindowAccessible (ManagedPtr ScrolledWindowAccessible)
- class (GObject o, IsDescendantOf ScrolledWindowAccessible o) => IsScrolledWindowAccessible o
- toScrolledWindowAccessible :: (MonadIO m, IsScrolledWindowAccessible o) => o -> m ScrolledWindowAccessible

# Exported types

newtype ScrolledWindowAccessible Source #

Memory-managed wrapper type.

Constructors

ScrolledWindowAccessible (ManagedPtr ScrolledWindowAccessible) |

#### Instances

Instances details

Eq ScrolledWindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible Methods (==) :: ScrolledWindowAccessible -> ScrolledWindowAccessible -> Bool Source # (/=) :: ScrolledWindowAccessible -> ScrolledWindowAccessible -> Bool Source #
GObject ScrolledWindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible
ManagedPtrNewtype ScrolledWindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible Methods toManagedPtr :: ScrolledWindowAccessible -> ManagedPtr ScrolledWindowAccessible Source #
TypedObject ScrolledWindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible Methods glibType :: IO GType Source #
HasParentTypes ScrolledWindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible
IsGValue (Maybe ScrolledWindowAccessible) Source # | Convert `ScrolledWindowAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ScrolledWindowAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ScrolledWindowAccessible) Source #
type ParentTypes ScrolledWindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible type ParentTypes ScrolledWindowAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf ScrolledWindowAccessible o) => IsScrolledWindowAccessible o Source #

Type class for types which can be safely cast to `ScrolledWindowAccessible`, for instance with `toScrolledWindowAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ScrolledWindowAccessible o) => IsScrolledWindowAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ScrolledWindowAccessible

toScrolledWindowAccessible :: (MonadIO m, IsScrolledWindowAccessible o) => o -> m ScrolledWindowAccessible Source #

Cast to `ScrolledWindowAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.